// 时间处理
import dayjs from 'dayjs'

// 获取当前时间
const now = () => {
    return dayjs();
}

// 获取当前时间戳
const nowTimestamp = () => {
    return dayjs().valueOf();
}

// 格式化时间
const format = (str, pattern) => {
    if(!pattern || pattern==='') {
        pattern = 'YYYY-MM-DD HH:mm:ss'; //默认格式
    }
    if(str && str!=='') {
        return dayjs(str).format(pattern)
    }
    return '';
}

export default {
    now,
    nowTimestamp,
    format,
}